# Uses of Class
bsh.ClassPathException

Packages that use ClassPathException
Package
Description
bsh.classpath
bsh.util

## Uses of ClassPathException in bsh.classpath

Methods in bsh.classpath that throw ClassPathException
Modifier and Type
Method
Description
`static BshClassPath`
BshClassPath.`getBootClassPath()`
Get the boot path including the lib/rt.jar if possible.
`String`
BshClassPath.`getClassNameByUnqName(String name)`
Support for super import "*"; Get the full name associated with the unqualified name in this classpath.
`String`
ClassManagerImpl.`getClassNameByUnqName(String name)`
Return the name or null if none is found, Throw an ClassPathException containing detail if name is ambigous.
`BshClassPath`
ClassManagerImpl.`getClassPath()`
Get the full blown classpath.
`static BshClassPath`
BshClassPath.`getUserClassPath()`
A BshClassPath initialized to the user path from java.class.path
`static URL[]`
BshClassPath.`getUserClassPathComponents()`
`void`
ClassManagerImpl.`reloadAllClasses()`
Overlay the entire path with a new class loader.
`void`
ClassManagerImpl.`reloadClasses(String[] classNames)`
Reloading classes means creating a new classloader and using it whenever we are asked for classes in the appropriate space.
`void`
ClassManagerImpl.`reloadPackage(String pack)`
Reload all classes in the specified package: e.g.

## Uses of ClassPathException in bsh.util

Methods in bsh.util that throw ClassPathException
Modifier and Type
Method
Description
`void`
ClassBrowser.`init()`